Patchwork [0/1] gdk-pixbuf: fix parallel install issue

login
register
mail settings
Submitter wenzong.fan@windriver.com
Date Aug. 3, 2012, 3:30 a.m.
Message ID <cover.1343964466.git.wenzong.fan@windriver.com>
Download mbox
Permalink /patch/33733/
State New
Headers show

Pull-request

git://git.pokylinux.org/poky-contrib wenzong/2883

Comments

wenzong.fan@windriver.com - Aug. 3, 2012, 3:30 a.m.
From: Wenzong Fan <wenzong.fan@windriver.com>

This patch fixes parallel install issue that lib libpixbufloader-png.la
depends on libgdk_pixbuf-2.0.la which will be regenerated during insta-
llation, if libgdk_pixbuf-2.0.la is regenerating and at the same time
libpixbufloader-png.la links it, the error will happen.
    
Error message is:
* usr/bin/ld: cannot find -lgdk_pixbuf-2.0
* collect2: ld returned 1 exit status
    
Make an explicit dependency to the libs install targets would fix this
issue.
    
[YOCTO #2883]

The following changes since commit 85c005d71c30bc5de61f9a9eb9818f37183af54b:

  tzdata: Upgrade tzdata to upstream 2012d (2012-08-02 23:21:12 +0100)

are available in the git repository at:

  git://git.pokylinux.org/poky-contrib wenzong/2883
  http://git.pokylinux.org/cgit.cgi/poky-contrib/log/?h=wenzong/2883

Wenzong Fan (1):
  gdk-pixbuf: fix parallel install issue

 .../extending-libinstall-dependencies.patch        |   42 ++++++++++++++++++++
 meta/recipes-gnome/gdk-pixbuf/gdk-pixbuf_2.24.1.bb |    3 +-
 2 files changed, 44 insertions(+), 1 deletion(-)
 create mode 100644 meta/recipes-gnome/gdk-pixbuf/gdk-pixbuf-2.24.1/extending-libinstall-dependencies.patch